org.gnome.gtk

## Class TextTagTable

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.TextTagTable

-     public class TextTagTable
      extends Object

  A set of TextTags that can be used by one or more TextBuffers.

  Creating a TextTag automatically adds it to the TextTagTable passed when the TextTag is constructed.

  You certainly only need one of these per TextBuffer, and as most people want to reuse the same set of TextTags across all the TextBuffers in a given program, they typically end up only having one TextTagTable across the entire application.

  Since:
    4.0.9
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextTagTable()` Instantiate a new table for collecting TextTags.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TextTagTable

          public TextTagTable()

      Instantiate a new table for collecting TextTags.
      Since:
        4.0.9